#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'serviceconfig.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "serviceconfig.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include <kdialog.h>
#include <kurlrequester.h>
#include <kpushbutton.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a serviceConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
serviceConfig::serviceConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "serviceConfig" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 0, 0 ) );
    setFocusPolicy( TQWidget::TabFocus );
    serviceConfigLayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "serviceConfigLayout"); 

    m_iconTheme = new TQButtonGroup( this, "m_iconTheme" );
    m_iconTheme->setColumnLayout(0, TQt::Vertical );
    m_iconTheme->layout()->setSpacing( KDialog::spacingHint() );
    m_iconTheme->layout()->setMargin( KDialog::marginHint() );
    m_iconThemeLayout = new TQVBoxLayout( m_iconTheme->layout() );
    m_iconThemeLayout->setAlignment( TQt::AlignTop );

    m_systemIcons = new TQRadioButton( m_iconTheme, "m_systemIcons" );
    m_systemIcons->setChecked( TRUE );
    m_iconThemeLayout->addWidget( m_systemIcons );

    m_kweatherIcons = new TQRadioButton( m_iconTheme, "m_kweatherIcons" );
    m_iconThemeLayout->addWidget( m_kweatherIcons );
    serviceConfigLayout->addWidget( m_iconTheme );

    GroupBox1 = new TQGroupBox( this, "GroupBox1" );
    GroupBox1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setColumnLayout(0, TQt::Vertical );
    GroupBox1->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1->layout()->setMargin( KDialog::marginHint() );
    GroupBox1Layout = new TQGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( TQt::AlignTop );

    m_enableLog = new TQCheckBox( GroupBox1, "m_enableLog" );

    GroupBox1Layout->addMultiCellWidget( m_enableLog, 0, 0, 0, 1 );
    Spacer6_2 = new TQSpacerItem( 294, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    GroupBox1Layout->addItem( Spacer6_2, 0, 2 );

    m_labelLogFile = new TQLabel( GroupBox1, "m_labelLogFile" );
    m_labelLogFile->setEnabled( FALSE );

    GroupBox1Layout->addWidget( m_labelLogFile, 1, 0 );

    m_logFile = new KURLRequester( GroupBox1, "m_logFile" );
    m_logFile->setEnabled( FALSE );
    m_logFile->setMinimumSize( TQSize( 252, 0 ) );

    GroupBox1Layout->addMultiCellWidget( m_logFile, 1, 1, 1, 2 );
    serviceConfigLayout->addWidget( GroupBox1 );
    spacer4 = new TQSpacerItem( 20, 111, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    serviceConfigLayout->addItem( spacer4 );
    languageChange();
    resize( TQSize(491, 194).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_enableLog, TQ_SIGNAL( toggled(bool) ), m_labelLogFile, TQ_SLOT( setEnabled(bool) ) );
    connect( m_enableLog, TQ_SIGNAL( toggled(bool) ), m_logFile, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    m_labelLogFile->setBuddy( m_logFile );
}

/*
 *  Destroys the object and frees any allocated resources
 */
serviceConfig::~serviceConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void serviceConfig::languageChange()
{
    setCaption( tr2i18n( "serviceConfig" ) );
    m_iconTheme->setTitle( tr2i18n( "Weather Icons" ) );
    m_systemIcons->setText( tr2i18n( "&Use system theme" ) );
    m_kweatherIcons->setText( tr2i18n( "Use classic &KWeather theme" ) );
    GroupBox1->setTitle( tr2i18n( "Logging Options" ) );
    m_enableLog->setText( tr2i18n( "E&nable logging" ) );
    m_labelLogFile->setText( tr2i18n( "Log f&ile:" ) );
    TQToolTip::add( m_logFile, tr2i18n( "Enter the logfile name." ) );
    TQWhatsThis::add( m_logFile, tr2i18n( "Enter the full path and filename to enable logging in KWeather." ) );
}

/****************************************************************************
** serviceConfig meta object code from reading C++ file 'serviceconfig.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "serviceconfig.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *serviceConfig::className() const
{
    return "serviceConfig";
}

TQMetaObject *serviceConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_serviceConfig( "serviceConfig", &serviceConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString serviceConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "serviceConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString serviceConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "serviceConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* serviceConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"serviceConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_serviceConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* serviceConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "serviceConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool serviceConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool serviceConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool serviceConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool serviceConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
